<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/settings.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">settings.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="settings_8cpp.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;../deskhelper/include/settings.h&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classSettings.html#ab7169a6eefce79566dd07db3b1e5e967">   14</a></span>&#160;<a class="code" href="classSettings.html#ab7169a6eefce79566dd07db3b1e5e967">Settings::Settings</a>()</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <a class="code" href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">translator1</a> = <span class="keyword">new</span> QTranslator(<span class="keyword">this</span>);</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="comment">//translator2 = new QTranslator(this);</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classSettings.html#a9b859488e483ea2ee621711c4a844a7d">   24</a></span>&#160;QString <a class="code" href="classSettings.html#a9b859488e483ea2ee621711c4a844a7d">Settings::getEmptyString</a>()</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;{</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="classSettings.html#a78862e4cb646b76d5bdb9f4252697161">   34</a></span>&#160;Q_INVOKABLE <span class="keywordtype">void</span> <a class="code" href="classSettings.html#a78862e4cb646b76d5bdb9f4252697161">Settings::selectLanguage</a>(QString language) {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; <span class="keywordflow">if</span>(language == QString(<span class="stringliteral">&quot;ru&quot;</span>)) {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <a class="code" href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">translator1</a>-&gt;load(<span class="stringliteral">&quot;QtLanguage_ru&quot;</span>, <span class="stringliteral">&quot;.&quot;</span>);</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  qApp-&gt;installTranslator(<a class="code" href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">translator1</a>);</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; }</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; <span class="keywordflow">if</span>(language == QString(<span class="stringliteral">&quot;en&quot;</span>)) {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  qApp-&gt;removeTranslator(<a class="code" href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">translator1</a>);</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; }</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; emit <a class="code" href="classSettings.html#a130fcb4d32379104628686cc96f127c1">languageChanged</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;}</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">/* Работа с настройками*/</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classSettings.html#a2d965ef0a054b61050811b416c896ed4">   53</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSettings.html#a2d965ef0a054b61050811b416c896ed4">Settings::loadSettings</a>() {</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    QFile f(<span class="stringliteral">&quot;settings.conf&quot;</span>);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordflow">if</span> (!f.open(QIODevice::ReadOnly))</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    {</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        qDebug() &lt;&lt; QCoreApplication::tr(<span class="stringliteral">&quot;Failed to load settings: configuration file is not readable; default settings selected.&quot;</span>);</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    }</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    {</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        QTextStream qts(&amp;f);</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        QString data = qts.readAll();</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keyword">auto</span> mData = data.split(QRegExp(<span class="stringliteral">&quot;[\r\n]&quot;</span>),Qt::SkipEmptyParts);</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keywordflow">if</span> (mData.length() &lt; 5)</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        {</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            <span class="comment">//errorText = QCoreApplication::tr(&quot;Не удалось загрузить настройки: файл конфигурации не доступен для записи&quot;);</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            qDebug() &lt;&lt; QCoreApplication::tr(<span class="stringliteral">&quot;Failed to load custom settings: default settings selected.&quot;</span>);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            f.close();</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        }</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keywordflow">else</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        {</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            <a class="code" href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">silentMode</a> = (mData[0] == <span class="stringliteral">&quot;1&quot;</span>) ? <span class="keyword">true</span> : <span class="keyword">false</span>;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            <a class="code" href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">trayMode</a> = (mData[1] == <span class="stringliteral">&quot;1&quot;</span>) ? <span class="keyword">true</span> : <span class="keyword">false</span>;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <a class="code" href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">appActivation</a> = mData[2];</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            <a class="code" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a> = mData[3];</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            <a class="code" href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">darkMode</a> = (mData[4] == <span class="stringliteral">&quot;1&quot;</span>) ? <span class="keyword">true</span> : <span class="keyword">false</span>;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            <a class="code" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a> = (mData[5] == <span class="stringliteral">&quot;1&quot;</span>) ? <span class="keyword">true</span> : <span class="keyword">false</span>;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            <a class="code" href="classSettings.html#a78862e4cb646b76d5bdb9f4252697161">selectLanguage</a>(<a class="code" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a>);</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            f.close();</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        }</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    }</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;}</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="classSettings.html#acd6caa5bebbe234bdd8dd3e1e67f2500">   91</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSettings.html#acd6caa5bebbe234bdd8dd3e1e67f2500">Settings::generateSettings</a>(){</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    QFile f(<span class="stringliteral">&quot;settings.conf&quot;</span>);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordflow">if</span> (!f.open(QIODevice::WriteOnly))</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    {</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <a class="code" href="classSettings.html#acde00ff3e48abd95b59c8a42866db0b8">errorText</a> = QCoreApplication::tr(<span class="stringliteral">&quot;Failed to save settings: configuration file is not writable&quot;</span>);</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    }</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    {</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        f.resize(0);</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        QTextStream qts(&amp;f);</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        qts &lt;&lt; <a class="code" href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">silentMode</a> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">trayMode</a> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">appActivation</a> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">darkMode</a> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        f.close();</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    }</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;}</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160; </div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="classSettings.html#a6d81075f0173dda77ecdd226274156b7">  115</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSettings.html#a6d81075f0173dda77ecdd226274156b7">Settings::saveSettings</a>(<span class="keywordtype">bool</span> bsilentMode, <span class="keywordtype">bool</span> btrayMode, <span class="keywordtype">bool</span> bdarkMode, QString shortcut, QString language) {</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    QFile f(<span class="stringliteral">&quot;settings.conf&quot;</span>);</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160; </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordflow">if</span> (!f.open(QIODevice::WriteOnly))</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    {</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        <a class="code" href="classSettings.html#acde00ff3e48abd95b59c8a42866db0b8">errorText</a> = QCoreApplication::tr(<span class="stringliteral">&quot;Failed to save settings: configuration file is not writable&quot;</span>);</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    }</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    {</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        f.resize(0);</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        QTextStream qts(&amp;f);</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        qts &lt;&lt; bsilentMode &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; btrayMode &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; shortcut &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; language &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; bdarkMode &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a>;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        f.close();</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    }</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;}</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160; </div>
<div class="line"><a name="l00133"></a><span class="lineno"><a class="line" href="classSettings.html#aab9609d2e476883d0bec2b61d6bf2e3f">  133</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSettings.html#aab9609d2e476883d0bec2b61d6bf2e3f">Settings::setStartWindowViewed</a>(<span class="keywordtype">bool</span> viewing) {</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <a class="code" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a> = viewing;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;}</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160; </div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160; </div>
<div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="classSettings.html#afe7ca0e2fe2bc2d05e768f75cd0dec12">  143</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSettings.html#afe7ca0e2fe2bc2d05e768f75cd0dec12">Settings::setSilentMode</a>(<span class="keywordtype">bool</span> mode) {</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <a class="code" href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">silentMode</a> = mode;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;}</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160; </div>
<div class="line"><a name="l00152"></a><span class="lineno"><a class="line" href="classSettings.html#a4fe5d042afbbaf165a803b92ac7f1251">  152</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSettings.html#a4fe5d042afbbaf165a803b92ac7f1251">Settings::setTrayMode</a>(<span class="keywordtype">bool</span> mode) {</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    <a class="code" href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">trayMode</a> = mode;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;}</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160; </div>
<div class="line"><a name="l00161"></a><span class="lineno"><a class="line" href="classSettings.html#a5007c1f43dec283e73582bade728ae29">  161</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSettings.html#a5007c1f43dec283e73582bade728ae29">Settings::setDarkMode</a>(<span class="keywordtype">bool</span> mode) {</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <a class="code" href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">darkMode</a> = mode;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;}</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160; </div>
<div class="line"><a name="l00170"></a><span class="lineno"><a class="line" href="classSettings.html#a0c4da641b07ca5f093c58594a90e89e3">  170</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSettings.html#a0c4da641b07ca5f093c58594a90e89e3">Settings::setAppActivation</a>(QString shortcut) {</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <a class="code" href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">appActivation</a> = shortcut;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;}</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160; </div>
<div class="line"><a name="l00179"></a><span class="lineno"><a class="line" href="classSettings.html#ab2b28d7e0f01ccb848f26e6ae74095d8">  179</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSettings.html#ab2b28d7e0f01ccb848f26e6ae74095d8">Settings::setActiveLanguage</a>(QString language) {</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <a class="code" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a> = language;</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;}</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160; </div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160; </div>
<div class="line"><a name="l00188"></a><span class="lineno"><a class="line" href="classSettings.html#a312297debb63e773bb30f1da516202d0">  188</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSettings.html#a312297debb63e773bb30f1da516202d0">Settings::getStartWindowViewed</a>() {</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a>;</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;}</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160; </div>
<div class="line"><a name="l00196"></a><span class="lineno"><a class="line" href="classSettings.html#aa0d5f2fa5a1a75a33d7979cb1ddba1d8">  196</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSettings.html#aa0d5f2fa5a1a75a33d7979cb1ddba1d8">Settings::getSilentMode</a>() {</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">silentMode</a>;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;}</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160; </div>
<div class="line"><a name="l00204"></a><span class="lineno"><a class="line" href="classSettings.html#ab60d6fbdcf97c8da1586dba04bea6c5d">  204</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSettings.html#ab60d6fbdcf97c8da1586dba04bea6c5d">Settings::getTrayMode</a>() {</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">trayMode</a>;</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;}</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160; </div>
<div class="line"><a name="l00212"></a><span class="lineno"><a class="line" href="classSettings.html#af36ee97fd98f37cb27daeac37ccd8659">  212</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSettings.html#af36ee97fd98f37cb27daeac37ccd8659">Settings::getDarkMode</a>() {</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">darkMode</a>;</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;}</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160; </div>
<div class="line"><a name="l00220"></a><span class="lineno"><a class="line" href="classSettings.html#aa5d84019954f49bc30beb8b9b6827156">  220</a></span>&#160;QString <a class="code" href="classSettings.html#aa5d84019954f49bc30beb8b9b6827156">Settings::getAppActivation</a>() {</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">appActivation</a>;</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;}</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160; </div>
<div class="line"><a name="l00228"></a><span class="lineno"><a class="line" href="classSettings.html#afed5e6863bd0eacfa3c2e430acf12210">  228</a></span>&#160;QString <a class="code" href="classSettings.html#afed5e6863bd0eacfa3c2e430acf12210">Settings::getActiveLanguage</a>() {</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a>;</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;}</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160; </div>
<div class="line"><a name="l00236"></a><span class="lineno"><a class="line" href="classSettings.html#a9a4ead8821b8b1e89e195713effc2a97">  236</a></span>&#160;QString <a class="code" href="classSettings.html#a9a4ead8821b8b1e89e195713effc2a97">Settings::getErrorText</a>() {</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#acde00ff3e48abd95b59c8a42866db0b8">errorText</a>;</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassSettings_html_a2d965ef0a054b61050811b416c896ed4"><div class="ttname"><a href="classSettings.html#a2d965ef0a054b61050811b416c896ed4">Settings::loadSettings</a></div><div class="ttdeci">bool loadSettings()</div><div class="ttdoc">Загрузка настроек</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00053">settings.cpp:53</a></div></div>
<div class="ttc" id="aclassSettings_html_ab60d6fbdcf97c8da1586dba04bea6c5d"><div class="ttname"><a href="classSettings.html#ab60d6fbdcf97c8da1586dba04bea6c5d">Settings::getTrayMode</a></div><div class="ttdeci">bool getTrayMode()</div><div class="ttdoc">геттер для trayMode.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00204">settings.cpp:204</a></div></div>
<div class="ttc" id="aclassSettings_html_a78862e4cb646b76d5bdb9f4252697161"><div class="ttname"><a href="classSettings.html#a78862e4cb646b76d5bdb9f4252697161">Settings::selectLanguage</a></div><div class="ttdeci">Q_INVOKABLE void selectLanguage(QString language)</div><div class="ttdoc">Выбор языка</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00034">settings.cpp:34</a></div></div>
<div class="ttc" id="aclassSettings_html_a130fcb4d32379104628686cc96f127c1"><div class="ttname"><a href="classSettings.html#a130fcb4d32379104628686cc96f127c1">Settings::languageChanged</a></div><div class="ttdeci">void languageChanged()</div></div>
<div class="ttc" id="aclassSettings_html_a0c4da641b07ca5f093c58594a90e89e3"><div class="ttname"><a href="classSettings.html#a0c4da641b07ca5f093c58594a90e89e3">Settings::setAppActivation</a></div><div class="ttdeci">void setAppActivation(QString shortcut)</div><div class="ttdoc">сеттер для appActivation.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00170">settings.cpp:170</a></div></div>
<div class="ttc" id="aclassSettings_html_afed5e6863bd0eacfa3c2e430acf12210"><div class="ttname"><a href="classSettings.html#afed5e6863bd0eacfa3c2e430acf12210">Settings::getActiveLanguage</a></div><div class="ttdeci">QString getActiveLanguage()</div><div class="ttdoc">геттер для activeLanguage.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00228">settings.cpp:228</a></div></div>
<div class="ttc" id="aclassSettings_html_a6d6aa1079d0a45c0c5ce93a9cb09bfe6"><div class="ttname"><a href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">Settings::startWindowViewed</a></div><div class="ttdeci">bool startWindowViewed</div><div class="ttdoc">Параметр, означающий, открыло ли окно приветствия - по умолчанию - закрыто</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00048">settings.h:48</a></div></div>
<div class="ttc" id="aclassSettings_html_ab7169a6eefce79566dd07db3b1e5e967"><div class="ttname"><a href="classSettings.html#ab7169a6eefce79566dd07db3b1e5e967">Settings::Settings</a></div><div class="ttdeci">Settings()</div><div class="ttdoc">Конструктор Settings.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00014">settings.cpp:14</a></div></div>
<div class="ttc" id="aclassSettings_html_a8b723dedb74abca1922f284e2bdd9dd9"><div class="ttname"><a href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">Settings::appActivation</a></div><div class="ttdeci">QString appActivation</div><div class="ttdoc">Параметр, сочетание клавиш для активации приложения - по умолчанию - Ctrl+Alt+H.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00058">settings.h:58</a></div></div>
<div class="ttc" id="aclassSettings_html_a150c10165fafb4eb5c5c6c1150d87b7c"><div class="ttname"><a href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">Settings::translator1</a></div><div class="ttdeci">QTranslator * translator1</div><div class="ttdoc">Указатель на экземпляр QTranslator.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00046">settings.h:46</a></div></div>
<div class="ttc" id="aclassSettings_html_acd6caa5bebbe234bdd8dd3e1e67f2500"><div class="ttname"><a href="classSettings.html#acd6caa5bebbe234bdd8dd3e1e67f2500">Settings::generateSettings</a></div><div class="ttdeci">bool generateSettings()</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00091">settings.cpp:91</a></div></div>
<div class="ttc" id="aclassSettings_html_aa0d5f2fa5a1a75a33d7979cb1ddba1d8"><div class="ttname"><a href="classSettings.html#aa0d5f2fa5a1a75a33d7979cb1ddba1d8">Settings::getSilentMode</a></div><div class="ttdeci">bool getSilentMode()</div><div class="ttdoc">геттер для silentMode.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00196">settings.cpp:196</a></div></div>
<div class="ttc" id="aclassSettings_html_a9a4ead8821b8b1e89e195713effc2a97"><div class="ttname"><a href="classSettings.html#a9a4ead8821b8b1e89e195713effc2a97">Settings::getErrorText</a></div><div class="ttdeci">QString getErrorText()</div><div class="ttdoc">геттер для errorText.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00236">settings.cpp:236</a></div></div>
<div class="ttc" id="aclassSettings_html_a4fe5d042afbbaf165a803b92ac7f1251"><div class="ttname"><a href="classSettings.html#a4fe5d042afbbaf165a803b92ac7f1251">Settings::setTrayMode</a></div><div class="ttdeci">void setTrayMode(bool mode)</div><div class="ttdoc">сеттер для trayMode.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00152">settings.cpp:152</a></div></div>
<div class="ttc" id="aclassSettings_html_a9417e5e3b0429b7d9407ee4e79727bdc"><div class="ttname"><a href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">Settings::trayMode</a></div><div class="ttdeci">bool trayMode</div><div class="ttdoc">Параметр, означающий, включен ли режим сворачивания в трей - по умолчанию - выключен</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00052">settings.h:52</a></div></div>
<div class="ttc" id="aclassSettings_html_acde00ff3e48abd95b59c8a42866db0b8"><div class="ttname"><a href="classSettings.html#acde00ff3e48abd95b59c8a42866db0b8">Settings::errorText</a></div><div class="ttdeci">QString errorText</div><div class="ttdoc">Текст ошибки</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00060">settings.h:60</a></div></div>
<div class="ttc" id="aclassSettings_html_a9b859488e483ea2ee621711c4a844a7d"><div class="ttname"><a href="classSettings.html#a9b859488e483ea2ee621711c4a844a7d">Settings::getEmptyString</a></div><div class="ttdeci">QString getEmptyString()</div><div class="ttdoc">Получение пустой строки</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00024">settings.cpp:24</a></div></div>
<div class="ttc" id="aclassSettings_html_ab2b28d7e0f01ccb848f26e6ae74095d8"><div class="ttname"><a href="classSettings.html#ab2b28d7e0f01ccb848f26e6ae74095d8">Settings::setActiveLanguage</a></div><div class="ttdeci">void setActiveLanguage(QString language)</div><div class="ttdoc">сеттер для activeLanguage.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00179">settings.cpp:179</a></div></div>
<div class="ttc" id="aclassSettings_html_a312297debb63e773bb30f1da516202d0"><div class="ttname"><a href="classSettings.html#a312297debb63e773bb30f1da516202d0">Settings::getStartWindowViewed</a></div><div class="ttdeci">bool getStartWindowViewed()</div><div class="ttdoc">геттер для startWindowViewed.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00188">settings.cpp:188</a></div></div>
<div class="ttc" id="aclassSettings_html_a3e5a533cb7343339c9f1c260099adbed"><div class="ttname"><a href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">Settings::activeLanguage</a></div><div class="ttdeci">QString activeLanguage</div><div class="ttdoc">Параметр, язык приложения - по умолчанию - английский</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00056">settings.h:56</a></div></div>
<div class="ttc" id="aclassSettings_html_a5007c1f43dec283e73582bade728ae29"><div class="ttname"><a href="classSettings.html#a5007c1f43dec283e73582bade728ae29">Settings::setDarkMode</a></div><div class="ttdeci">void setDarkMode(bool mode)</div><div class="ttdoc">сеттер для darkMode.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00161">settings.cpp:161</a></div></div>
<div class="ttc" id="aclassSettings_html_ab73566b9c6e8045aa38e8bc3ab07ab5d"><div class="ttname"><a href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">Settings::silentMode</a></div><div class="ttdeci">bool silentMode</div><div class="ttdoc">Параметр, означающий, включен ли режим &quot;без звука&quot; - по умолчанию - выключен</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00050">settings.h:50</a></div></div>
<div class="ttc" id="aclassSettings_html_a4d77974e0735f708db0ff831be7ccfa2"><div class="ttname"><a href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">Settings::darkMode</a></div><div class="ttdeci">bool darkMode</div><div class="ttdoc">Параметр, означающий, включена ли темная тема - по умолчанию - включена</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00054">settings.h:54</a></div></div>
<div class="ttc" id="aclassSettings_html_afe7ca0e2fe2bc2d05e768f75cd0dec12"><div class="ttname"><a href="classSettings.html#afe7ca0e2fe2bc2d05e768f75cd0dec12">Settings::setSilentMode</a></div><div class="ttdeci">void setSilentMode(bool mode)</div><div class="ttdoc">сеттер для silentMode.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00143">settings.cpp:143</a></div></div>
<div class="ttc" id="aclassSettings_html_aab9609d2e476883d0bec2b61d6bf2e3f"><div class="ttname"><a href="classSettings.html#aab9609d2e476883d0bec2b61d6bf2e3f">Settings::setStartWindowViewed</a></div><div class="ttdeci">void setStartWindowViewed(bool viewing)</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00133">settings.cpp:133</a></div></div>
<div class="ttc" id="aclassSettings_html_a6d81075f0173dda77ecdd226274156b7"><div class="ttname"><a href="classSettings.html#a6d81075f0173dda77ecdd226274156b7">Settings::saveSettings</a></div><div class="ttdeci">bool saveSettings(bool BsilentMode, bool btrayMode, bool bdarkMode, QString shortcut, QString language)</div><div class="ttdoc">Сохранение настроек</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00115">settings.cpp:115</a></div></div>
<div class="ttc" id="aclassSettings_html_aa5d84019954f49bc30beb8b9b6827156"><div class="ttname"><a href="classSettings.html#aa5d84019954f49bc30beb8b9b6827156">Settings::getAppActivation</a></div><div class="ttdeci">QString getAppActivation()</div><div class="ttdoc">геттер для appActivation.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00220">settings.cpp:220</a></div></div>
<div class="ttc" id="aclassSettings_html_af36ee97fd98f37cb27daeac37ccd8659"><div class="ttname"><a href="classSettings.html#af36ee97fd98f37cb27daeac37ccd8659">Settings::getDarkMode</a></div><div class="ttdeci">bool getDarkMode()</div><div class="ttdoc">геттер для darkMode.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00212">settings.cpp:212</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
